--- title: "getTriggerById" slug: "analytics-dataflow-gettriggerbyid" updated: 2026-09-17T09:57:52Z published: 2026-09-17T09:57:52Z canonical: "api.ncloud-docs.com/analytics-dataflow-gettriggerbyid" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getTriggerById Available in VPC Get trigger details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/triggers/{triggerId} | ### Request headers For information about the headers common to all Data Flow APIs, see [Data Flow request headers](/docs/en/analytics-dataflow#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `triggerId` | String | Optional | Trigger ID - See [getTriggers](/docs/en/analytics-dataflow-gettriggers). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://dataflow.apigw.ntruss.com/api/v1/triggers/rWOjcW******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `triggerId` | String | - | Trigger ID | | `name` | String | - | Trigger name | | `type` | String | - | Trigger execution option type - `SCHEDULED` \| `NONE` - `SCHEDULED`: Run on a cycle or specific date. - `NONE`: no execution option | | `triggerRule` | Object | - | Trigger execution option information | | `triggerRule.type` | String | - | Trigger execution option type - `RECURRING` \| `ONE_TIME` \| `NONE` - `RECURRING`: Run on a cycle. - `ONE_TIME`: Run on a specific date. - `NONE`: no execution option | | `triggerRule.interval` | String | - | Trigger execution cycle - `HOUR` \| `DAY` \| `WEEK` \| `MONTH` - `HOUR`: every hour - `DAY`: every day - `WEEK`: every week - `MONTH`: every month - Displayed if `triggerRule.type` is `RECURRING` | | `triggerRule.time` | String | - | Trigger repeat execution time (minute or time) - Displayed if `triggerRule.type` is `RECURRING` - Display the minutes to repeat in if `triggerRule.interval` is `HOUR` (00-59). - Display the time to repeat in if `triggerRule.interval` is `DAY`, `WEEK`, or `MONTH`. | | `triggerRule.dayOfWeek[]` | Array | - | Trigger repeat execution day of the week - `MONDAY` \| `TUESDAY` \| `WEDNESDAY` \| `THURSDAY` \| `FRIDAY` \| `SATURDAY` \| `SUNDAY` - Displayed if `triggerRule.interval` is `WEEK` | | `triggerRule.dateOfMonth` | String | - | Trigger repeat execution date - Date between 1 and 31; -1 (last date of every month) - Displayed if `triggerRule.interval` is `MONTH` | | `triggerRule.executionDate` | String | - | Trigger execution date and time - Displayed if `triggerRule.type` is `ONE_TIME` | | `createdDate` | String | - | Trigger creation date and time - ISO 8601 format (including UTC+9) | | `updatedDate` | String | - | Trigger modification date and time - ISO 8601 format (including UTC+9) | ### Response status codes For response status codes common to all Data Flow APIs, see [Data Flow esponse status codes](/docs/en/analytics-dataflow#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "triggerId": "rWOjcW******", "name": "trigger1", "type": "SCHEDULED", "triggerRule": { "type": "RECURRING", "interval": "DAY", "time": "10:00" }, "createdDate": "2025-03-21T15:26:51+09:00", "updatedDate": "2025-03-21T15:26:51+09:00" } ```